PETSc version 3.17.4
Fix/Edit manual page

# PetscBagGetData

Gives back the user - access to memory that should be used for storing user-data-structure

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagGetData(PetscBag bag, void **data)

Not Collective

### Input Parameter

| bag | - the bag of values

### Output Parameter

| data | - pointer to memory that will have user-data-structure

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagDestroy(), PetscBagRegisterEnum()

### Level

Intermediate

### Location

src/sys/classes/bag/bag.c

### Examples

src/sys/tutorials/ex5.c.html
src/sys/tutorials/ex5f90.F90.html
src/dm/tutorials/ex7.c.html
src/snes/tutorials/ex17.c.html
src/snes/tutorials/ex62.c.html
src/snes/tutorials/ex69.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages